******************************************************************************************************************************************************************************************************************************************
***Replication commands for: 
***Matthew Fuhrmann and Jeffrey Berejikian, "Disaggregating Noncompliance: Abstention versus Predation in the Nuclear Nonproliferation Treaty," Journal of Conflict Resolution. Forthcoming.
******************************************************************************************************************************************************************************************************************************************

*The following commands were used to generate Tables 2 and A-1
	*NOTE: STATA 10 USED TO ESTIMATE ALL MODELS; ERRORS MAY ARISE IF USING STATA 11 DUE TO DEFAULT ASSUMPTIONS ABOUT THE HESSIAN MATRIX; TYPE "VERSION 10" IF USING STATA 11 FOR REPLICATION

*********************************************************************************************************************
*Table 2
*********************************************************************************************************************
probit predationNOTESTjgP31 exconst time time2 time3 ,  cluster(cowcc)   
probit predationNOTESTjgP31 exconst lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 time time2 time3 ,  cluster(cowcc)   
probit predationNOTESTjgP31 exconst   pubelec lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 time time2 time3 ,  cluster(cowcc)   
heckprob predationNOTESTjgP31 exconst   lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 time time2 time3 ,  cluster(cowcc)   select(pursueNOTESTjgP31 = lngdpcap industry2 sensitive NCA67todate rivalry spdpact polity2 openness chopen5 regpow nptnop5 timep timep2 timep3)
heckprob predationNOTESTjgP31 exconst   pubelec lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 time time2 time3 ,  cluster(cowcc)   select(pursueNOTESTjgP31 = lngdpcap industry2 sensitive NCA67todate rivalry spdpact polity2 openness chopen5 regpow nptnop5 timep timep2 timep3)

*********************************************************************************************************************
*Table A-1: Replication of Table 2 with Singh and Way (2004) Proliferation data
*********************************************************************************************************************
probit predationNOTEST1 exconst   lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 timesw time2sw time3sw ,  cluster(cowcc)   
probit predationNOTEST1 exconst   pubelec lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 timesw time2sw time3sw  ,  cluster(cowcc)   
heckprob predationNOTEST1 exconst   lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 timesw time2sw time3sw ,  cluster(cowcc)   select(pursueNOTEST1 = lngdpcap industry2 sensitive NCA67todate rivalry spdpact polity2 openness chopen5 regpow nptnop5 timepsw timepsw2 timepsw3)
heckprob predationNOTEST1 exconst   pubelec lngdpcap industry2 NCA67todate sensitive rivalry pctnptreg lnten openness  chopen5 timesw time2sw time3sw ,  cluster(cowcc)   select(pursueNOTEST1 = lngdpcap industry2 sensitive NCA67todate rivalry spdpact polity2 openness chopen5 regpow nptnop5 timepsw timepsw2 timepsw3)

